Looking for the latest version? Download gtk+-1.2.10-20.tar.bz2 (845.8 kB)
Home / Core Libraries / gnome-print-0.37
Name Modified Size Downloads / Week Status
Parent folder
Totals: 3 Items   718.3 kB 3
gnome-print-0.37.README 2003-03-10 3.6 kB 11 weekly downloads
gnome-print-devel-0.37.tar.bz2 2003-03-09 260.9 kB 11 weekly downloads
gnome-print-0.37.tar.bz2 2003-03-09 453.7 kB 11 weekly downloads
NAME: gnome-print VERSION: 0.37 RELEASE: 1 SUMMARY: Printing libraries for GNOME. DISTRIBUTION: Cygwin GNOME 1.4 <http://cygnome.sourceforge.net> VENDOR: LICENSE: LGPL PACKAGER: Hansom Young <glyoung@users.sourceforge.net> GROUP: GNOME Libraries/Base OS: Cygwin ARCH: i586 SOURCE RPM: DESCRIPTION: GNOME (GNU Network Object Model Environment) is a user-friendly set of applications and desktop tools to be used in conjunction with a window manager for the X Window System. The gnome-print package contains libraries and fonts needed by GNOME applications for printing. . You should install the gnome-print package if you intend to use any of the GNOME applications that can print. If you would like to develop GNOME applications that can print you will also need to install the gnome-print devel package. ----- setup.hint ------------------------------------------------- @ gnome-print category: GNOME-libs sdesc: "Printing libraries for GNOME." lsdec: "The gnome-print package contains libraries and fonts needed by GNOME applications for printing. You should install the gnome-print package if you intend to use any of the GNOME applications that can print. If you would like to develop GNOME applications that can print you will also need to install the gnome-print devel package." requires: gtk+ libxml gdk-pixbuf gnome-libs curr: 0.37-1 prev: 0.35-4 @ gnome-print category: GNOME-libs GNOME-devel sdesc: "Libraries and include files for gnome-print" lsdec: "You should install the gnome-print-devel package if you would like to develop GNOME applications that will use the GNOME printing facilities. You don't need to install the gnome-print-devel package if you just want to use the GNOME desktop enviornment. " requires: gtk+-devel libxml-devel gdk-pixbuf-devel gnome-libs-devel curr: 0.37-1 prev: 0.35-4 ------------------------------------------------------------------ About this Cygwin port: ----------------------- Built with Steven O'Brian's Cygwin GNOME patches and instructions http://homepage.ntlworld.com/steven.obrien2/. Built on cygwin-1.3.20, with gcc-3.2, binutils-20021107 and gtk+-1.2.10, libxml-1.8.17, gdk-pixbuf-0.21.0 and gnome-libs-1.4.2. Not tested on other configuration. If you installed ghostscript and/or Tex, gnome-print could use their fonts. Change Log ---------- Jun 24, 2002 0.29 First Cygwin package, built from RedHat7.2 source package, with Steven O'Brian's 20020607 patch. Nov 11, 2002 0.35 Updated to 0.35 Mar 3, 2003 0.37 Kept up with 0.37, built with Steven's 20021125 patch. Build gnome-print for Cygwin: --------------------------- 1. In order to build bonobo by yourself, you need a lot of GNOME libraries, such as gtk+, libxml, gnome-libs, gdk-pixbuf, etc. The source package of GNOME libraries could be found on ftp://ftp.gnome.org/pub/GNOME/stable/sources/. Patches for Cygwin port of GNOME libraries is contributed and maintained by Steven O'Brian, at http://homepage.ntlworld.com/steven.obrien2/. The latest patch is for bonobo-1.0.22 when writing this README. A collection of binary package of GNOME libraries built for Cygwin could be found on the Cygwin GNOME project http://cygnome.sourceforge.net. 2. Start building: - Unpack the source tarball of gnome-print-0.37 - $ patch -p1 -b < gnome-print-0.37-cygwin.patch - $ CFLAGS=-O2 ./configure --prefix=/opt/gnome - $ make - $ make DESTDIR=/some/where install
Source: gnome-print-0.37.README, updated 2003-03-10